<?php
include(dirname(__FILE__)."/global.php");

include('../../include/file_type.php');

@$job = $submitted_vars["job"];

?>
<html>
<head>
<title>Powered by 126cms.com</title>
<meta name='keywords' content='mmcbbs,web126,news,bbs,board,php,mysql,forums'>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<style type="text/css">
<!--
.font {
	font-size: 12px;
}
-->
</style>
</head>
<body bgcolor="#FFFFFF" text="#000000" leftmargin="0" topmargin="0" class="font">
<?php
    $dir = $submitted_vars['dir'];
    $label = $submitted_vars['label'];
	$photo_w_h = $submitted_vars['photo_w_h'];

	
if( $job == "uploadfile" ){
	
	$fileArr   = $_FILES['postfile'];
	$file_name = $fileArr['name'];
	$file_type = GetFiletype($file_name);
	$file_size = ceil($fileArr['size']/1024);
	##----      检查文件格式       ---##
	if(!validate_format($file_type)){
	exit("<br /><CENTER>不允许上传该格式文件，允许的图片格式为：gif,jpg,jpeg<br />请再次上传，如果多次失败，请联系管理员<br /><a href=\"javascript:history.go(-1)\"> 点击返回</a></CENTER>");
	}
	##----      检查文件大小是否超过限制       ---##
	if($webdb['upfileMaxSize']){
		if($file_size > $webdb['upfileMaxSize']){
		exit("<br /><CENTER>图片文件太大，上传的图片不能大于".$webdb['upfileMaxSize']."K<br /><a href=\"javascript:history.go(-1)\"> 点击返回</a></CENTER>");
		}
	}
	
	$id  =  date("Ymdhis").'-'.rands('4');//时间加有机字符作为文件名 
	
	$newfile = $dir."/".$id.'.'.$file_type;//upload 目录下面的 目录+文件名

	$fileuplodeurl = "../../upload/".$newfile;
	
	if(copy( $fileArr['tmp_name'] , $fileuplodeurl )){
	
	
		/////////生成缩聚略图  =====开始
        //     $fileuplodeurl   为要调用的图片名称

        require_once('../../include/photo.class.php');

        $p = new ThumbHandler();

        // 基本使用
        $p->setSrcImg( $fileuplodeurl );
        //$p->setMaskWord("www.phxwst.com");
		//$p->setMaskWord("平湖雪旺手套厂");

		// 指定固定宽高
		
		$photo_w_h_array_all = explode("|",$photo_w_h);
		
		if( empty($photo_w_h_array_all['1']) ){//只生成一张小图片
		
			$photo_w_h_array = explode("*",$photo_w_h_array_all['0']);
			$photo_w = $photo_w_h_array['0'];
			$photo_h = $photo_w_h_array['1'];
			$p->setDstImg( "../../upload/".$dir."/s/".$id.'.'.$file_type );
        	$p->createImg($photo_w,$photo_h);
			
			$newfile_1=$dir."/s/".$id.'.'.$file_type;
			
			$fn="upfile";
			
			$newfile_2=$newfile;
			$label_1='s_'.$label;
			$label_2='b_'.$label;
			
		}else{//生成两张小图片
		
			//生成第一张图片
			$photo_w_h_array = explode("*",$photo_w_h_array_all['0']);
			$photo_w = $photo_w_h_array['0'];
			$photo_h = $photo_w_h_array['1'];
			$p->setDstImg( "../../upload/".$dir."/s/".$id.'.'.$file_type );
        	$p->createImg($photo_w,$photo_h);
			
			$newfile_1=$dir."/s/".$id.'.'.$file_type;
			
			$fn="upfile";
			
			$newfile_2=$newfile;
			$label_1='s_'.$label;
			$label_2='b_'.$label;
			
			
			//生成第二张图片
			$photo_w_h_array = explode("*",$photo_w_h_array_all['1']);
			$photo_w = $photo_w_h_array['0'];
			$photo_h = $photo_w_h_array['1'];
			$p->setDstImg( "../../upload/".$dir."/b/".$id.'.'.$file_type );
        	$p->createImg($photo_w,$photo_h);
			
			$newfile_2=$dir."/b/".$id.'.'.$file_type;
		}
		
		echo "上传成功,<A HREF=?fn=$fn&label=$label&dir=$dir&label=$_GET[label]>继续上传</A>";
		
		echo "
			<script>
				if(self==top){
					window.opener.$fn('$newfile_1','$file_name','$file_size','$label_1');
					window.opener.$fn('$newfile_2','$file_name','$file_size','$label_2');
					window.self.close();
				}else{
					window.parent.$fn('$newfile_1','$file_name','$file_size','$label_1');
					window.parent.$fn('$newfile_2','$file_name','$file_size','$label_2');
				}
			</script>
			";
		exit;

	}else{
	    echo "<CENTER>文件上传失败,请再次上传，如果多次失败，请联系管理员<br /><a href=\"javascript:history.go(-1)\"> 点击返回</a></CENTER>";
		exit;
	}
}


?>
<form name="form1" method="post" action="" enctype="multipart/form-data">
  <input  type="file" name="postfile" style="height:20px; background-color:#EBEBEB; border:1 solid black;" onMouseOver ="this.style.backgroundColor='#F0F0F0'" onMouseOut ="this.style.backgroundColor='#FAFAFA'" >
  <input  type="submit" name="Submit" value="上传文件" style="height:20px; background-color:#EBEBEB; border:1 solid black;" onMouseOver ="this.style.backgroundColor='#F0F0F0'" onMouseOut ="this.style.backgroundColor='#FAFAFA'" >
  <input name="job" type="hidden" id="job" value="uploadfile">
  <input name="dir" type="hidden" id="dir" value="<?=$dir?>">
  <input name="label" type="hidden" id="label" value="<?=$label?>">
  <input name="photo_w_h" type="hidden" id="photo_w_h" value="<?=$photo_w_h?>">
</form>
</body>
</html>